#include "Prime.hpp"
using prime_factor::isPrime;

int main() {
    std::ios_base::sync_with_stdio(false);
    std::cin.tie(nullptr);
    std::cout.tie(nullptr);
    int tc;
    std::cin >> tc;
    while (tc--) {
        uint64_t n;
        std::cin >> n;
        std::cout << (isPrime(n) ? "Yes\n" : "No\n");
    }
    return 0;
}